<mat-card class="omd-card">
  <mat-card-header>
    <div mat-card-avatar class="omd-header-image"></div>
    <mat-form-field>
      <mat-label>Select a breed:</mat-label>
      <mat-select [(value)]="selected" (selectionChange)="onSelect()">
        <mat-option *ngFor="let breed of breeds" [value]="breed">{{breed|titlecase}}</mat-option>
      </mat-select>
    </mat-form-field>
    <button mat-icon-button (click)="get_image()"><mat-icon>refresh</mat-icon></button>
  </mat-card-header>
  <img *ngIf="!is_loading" mat-card-image src="{{picture}}">
  <mat-spinner *ngIf="is_loading"></mat-spinner>
  <mat-card-footer><p class="author">Created by <a href="https://gitlab.com/shub.in/ohmydog" target="_blank">Andrew Shubin</a></p></mat-card-footer>
</mat-card>
